org.jfree.chart.plot

## Class PolarAxisLocation

- java.lang.Object
- - org.jfree.chart.plot.PolarAxisLocation

All Implemented Interfaces:
  java.io.Serializable

    public final class PolarAxisLocation
    extends java.lang.Object
    implements java.io.Serializable

Used to indicate the location of an axis on a `PolarPlot`.

Since:
  1.0.14
See Also:
  Serialized Form

### Field Summary

Fields
`static PolarAxisLocation` `EAST_ABOVE` Axis above east.
`static PolarAxisLocation` `EAST_BELOW` Axis below east.
`static PolarAxisLocation` `NORTH_LEFT` Axis left of north.
`static PolarAxisLocation` `NORTH_RIGHT` Axis right of north.
`static PolarAxisLocation` `SOUTH_LEFT` Axis left of south.
`static PolarAxisLocation` `SOUTH_RIGHT` Axis right of south.
`static PolarAxisLocation` `WEST_ABOVE` Axis above west.
`static PolarAxisLocation` `WEST_BELOW` Axis below west.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NORTH_LEFT

    public static final PolarAxisLocation NORTH_LEFT

Axis left of north.

#### NORTH_RIGHT

    public static final PolarAxisLocation NORTH_RIGHT

Axis right of north.

#### SOUTH_LEFT

    public static final PolarAxisLocation SOUTH_LEFT

Axis left of south.

#### SOUTH_RIGHT

    public static final PolarAxisLocation SOUTH_RIGHT

Axis right of south.

#### EAST_ABOVE

    public static final PolarAxisLocation EAST_ABOVE

Axis above east.

#### EAST_BELOW

    public static final PolarAxisLocation EAST_BELOW

Axis below east.

#### WEST_ABOVE

    public static final PolarAxisLocation WEST_ABOVE

Axis above west.

#### WEST_BELOW

    public static final PolarAxisLocation WEST_BELOW

Axis below west.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the other object (`null` permitted).
Returns:
  A boolean.